net.i2p.i2ptunnel

## Class InternalSocketRunner

- java.lang.Object
- - net.i2p.i2ptunnel.InternalSocketRunner

- All Implemented Interfaces:
    Runnable

       class InternalSocketRunner
      extends Object
      implements Runnable

  Listen for in-JVM connections on the internal "socket"
  Since:
    0.7.9
  Author:
    zzz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalSocketRunner(I2PTunnelClientBase client)` starts the runner

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `(package private) void` | `stopRunning()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalSocketRunner

          InternalSocketRunner(I2PTunnelClientBase client)

      starts the runner

  - ### Method Detail

    - #### run

          public final void run()

      Specified by:
        `run` in interface `Runnable`

    - #### stopRunning

          void stopRunning()